tigase.xmpp.impl.roster

## Class RosterFactory.Bean

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterFactory.Bean

- All Implemented Interfaces:
    Initializable, UnregisterAware
  Enclosing class:
    RosterFactory

      @Bean(name="rosterFactory",
            exportable=true,
            active=true)
      public static class RosterFactory.Bean
      extends Object
      implements Initializable, UnregisterAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeUnregister()` Method called before bean unregister.
    `void` | `initialize()` Method will be called, when bean will be created, configured and ready to use.
    `void` | `setDefaultRosterImplementation(String defaultRosterImplementation)`
    `void` | `setEventBus(EventBus eventBus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bean

          public Bean()

  - ### Method Detail

    - #### setDefaultRosterImplementation

          public void setDefaultRosterImplementation(String defaultRosterImplementation)

    - #### setEventBus

          public void setEventBus(EventBus eventBus)

    - #### beforeUnregister

          public void beforeUnregister()

      Description copied from interface: `UnregisterAware`
      Method called before bean unregister.
      Specified by:
        `beforeUnregister` in interface `UnregisterAware`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.